Bug 889037 - (CVE-2012-5657) CVE-2012-5657 php-ZendFramework: information disclosure flaw due to error when processing XML data
CVE-2012-5657 php-ZendFramework: information disclosure flaw due to error whe...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121219,repor...
: Security
Depends On: 889038 889039
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-19 23:45 EST by Vincent Danen
Modified: 2013-01-20 04:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-20 04:11:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-12-19 23:45:26 EST
A vulnerability was reported in Zend Framework versions prior to 1.11.15 and 1.12.1, which can be exploited to disclose certain sensitive information.  This flaw is caused due to an error in the "Zend_Feed_Rss" and "Zend_Feed_Atom" classes of the "Zend_Feed" component, when processing XML data.  It can be used to disclose the contents of certain local files by sending specially crafted XML data including external entity references.


External References:

http://framework.zend.com/security/advisory/ZF2012-05
Comment 1 Vincent Danen 2012-12-19 23:47:32 EST
Created php-ZendFramework tracking bugs for this issue

Affects: fedora-all [bug 889038]
Affects: epel-6 [bug 889039]
Comment 2 Jan Lieskovsky 2012-12-20 10:05:44 EST
The CVE identifier of CVE-2012-5657 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/12/20/4
Comment 3 Fedora Update System 2013-01-19 22:02:26 EST
php-ZendFramework-1.12.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-01-19 22:08:13 EST
php-ZendFramework-1.12.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-01-19 22:08:56 EST
php-ZendFramework-1.12.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.